### Function

# Qmi UimSlotState get_string

since: 1.26

#### Declaration [src]

    const gchar*
    qmi_uim_slot_state_get_string (
      QmiUimSlotState val
    )

#### Description [src]

Gets the nickname string for the `QmiUimSlotState` specified at `val`.

Available since: 1.26

#### Parameters

`val`

  Type: `QmiUimSlotState`

  A QmiUimSlotState.

#### Return value

Type: `const gchar*`

A string with the nickname, or `NULL` if not found. Do not free the returned value.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.